const mm = 72/25.4;
var bleedBorder = 5 *mm;
var doc = activeDocument;
var strColor = new CMYKColor();
var nameLayer = 'effect';
strColor.cyan = 0;
strColor.magenta = 0;
strColor.yellow = 0;
strColor.black = 0;
h = doc.height;
w = doc.width;
var eff = false;
for( i=0; i<doc.layers.length && eff == false; i++ ) {
if(doc.layers[i].name == nameLayer) {
eff = true;
b = i;
}
}

if(eff){
CleanUp(b);
}
else {
var mLayer= doc.layers.add();    	 
mLayer.name = nameLayer;
var rect = mLayer.pathItems.rectangle (h + bleedBorder, 0 - bleedBorder, w + bleedBorder*2, h + bleedBorder*2);
rect.fillColor = strColor;
rect.stroked = false;
rect.opacity = 50.0;
mLayer.zOrder(ZOrderMethod.SENDTOBACK);
mLayer.locked = true;
}


function CleanUp(i) 
{doc.layers[i].visible = true;
doc.layers[i].locked = false;
doc.layers[i].remove();			
}
